//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CLASSTAG_UIEventHandlerWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(UIEventHandler), typeof(UnityEngine.MonoBehaviour));
        L.RegFunction("SetEventID",FUNCTAG_SetEventID);
		L.RegFunction("AddEventType",FUNCTAG_AddEventType);
		L.RegFunction("DelEventType",FUNCTAG_DelEventType);
		L.RegFunction("GetUnderHandler",FUNCTAG_GetUnderHandler);
        L.RegFunction("Call",FUNCTAG_Call);
		L.EndClass();
	}


	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_SetEventID(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIEventHandler obj = (UIEventHandler)ToLua.CheckObject(L, 1, typeof(UIEventHandler));
            int arg0 = LuaDLL.lua_tointeger(L, 2);
            obj.SetEventID(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_AddEventType(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIEventHandler obj = (UIEventHandler)ToLua.CheckObject(L, 1, typeof(UIEventHandler));
			UIEventHandler.EventType arg0 = (UIEventHandler.EventType)(int)LuaDLL.lua_tonumber(L, 2);
			obj.AddEventType(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_DelEventType(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UIEventHandler obj = (UIEventHandler)ToLua.CheckObject(L, 1, typeof(UIEventHandler));
			UIEventHandler.EventType arg0 = (UIEventHandler.EventType)(int)LuaDLL.lua_tonumber(L, 2);
			obj.DelEventType(arg0);
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FUNCTAG_GetUnderHandler(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			UIEventHandler obj = (UIEventHandler)ToLua.CheckObject(L, 1, typeof(UIEventHandler));
			UIEventHandler o = obj.GetUnderHandler();
			ToLua.Push(L, o);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int FUNCTAG_Call(IntPtr L)
    {
        try
        {
            ToLua.CheckArgsCount(L, 2);
            UIEventHandler obj = (UIEventHandler)ToLua.CheckObject(L, 1, typeof(UIEventHandler));
            UIEventHandler.EventType arg0 = (UIEventHandler.EventType)(int)LuaDLL.lua_tonumber(L, 2);
            obj.Call(arg0);
            return 0;
        }
        catch (Exception e)
        {
            return LuaDLL.toluaL_exception(L, e);
        }
    }
}

